Show / Hide Table of Contents

# Class IntelliSenseSettings

Class for serialization and deserialization of IntelliSense settings

##### Inheritance

System.Object
IntelliSenseSettings

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.SqlContext

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class IntelliSenseSettings

### Constructors

| Improve this Doc View Source

#### IntelliSenseSettings()

Initialize the IntelliSense settings defaults

##### Declaration

    public IntelliSenseSettings()

### Properties

| Improve this Doc View Source

#### EnableErrorChecking

Gets or sets a flag determining if diagnostics are enabled

##### Declaration

    public bool ? EnableErrorChecking { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### EnableIntellisense

Gets or sets a flag determining if IntelliSense is enabled

##### Declaration

    public bool EnableIntellisense { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### EnableQuickInfo

Gets or sets a flag determining if quick info is enabled

##### Declaration

    public bool ? EnableQuickInfo { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### EnableSuggestions

Gets or sets a flag determining if suggestions are enabled

##### Declaration

    public bool ? EnableSuggestions { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### LowerCaseSuggestions

Gets or sets a flag determining if built-in suggestions should be lowercase

##### Declaration

    public bool ? LowerCaseSuggestions { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

### Methods

| Improve this Doc View Source

#### Update(IntelliSenseSettings)

Update the Intellisense settings

##### Declaration

    public void Update(IntelliSenseSettings settings)

##### Parameters

Type | Name | Description
--- | --- | ---
IntelliSenseSettings | settings |